LAST, LASTB(1)

BEZEICHNUNG
last, lastb - eine Liste der zuletzt angemeldeten Benutzer anzeigen

ÜBERSICHT
last [Optionen] [Benutzername…] [TTY…]
lastb [Optionen] [Benutzername…] [TTY…]

BESCHREIBUNG
last durchsucht die Datei /var/log/wtmp (oder die durch die Option -f angegebene Datei) rückwärts und zeigt eine Liste aller Benutzer an, die sich seit der Erstellung der Datei angemeldet (und abgemeldet) haben. Einer oder mehrere Benutzernamen und/oder TTYs können angegeben werden, in welchem Fall last nur die Einträge anzeigt, die auf diese Argumente passen. Die Namen der TTYs können abgekürzt werden, daher ist last 0 gleichbedeutend mit last TTY0.

Wenn eine SIGINT-Signalerbrechungstastenkombination (üblicherweise mit Strg-C erzeugt) oder ein SIGQUIT-Signal empfangen wird, zeigt last an, wie weit die Suche durch die Datei bereits fortgeschritten ist; im Falle des SIGINT-Signals wird last dann beeendet.

Der Pseudo-Benutzer reboot meldet sich jedesmal an, wenn das System neu gestartet wird. Daher zeigt last reboot ein Protokoll aller Neustarts seit der Erstellung der Protokolldatei an.

lastb ist gleichbedeutend mit last, außer dass es in der Voreinstellung ein Protokoll aus der Datei /var/log/btmp anzeigt, welches die fehlgeschlagenen Anmeldeversuche enthält.

OPTIONEN

-a, --hostlast
    zeigt den Rechnernamen in der letzten Spalte an. Dies ist in Kombination mit der Option --dns nützlich.

-d, --dns
    übersetzt die IP-Nummer zurück in einen Rechnernamen. Bei nichtlokalen Anmeldungen speichert Linux nicht nur den Namen des fernen Rechners, sondern auch dessen IP-Nummer.

-f, --file Datei
    weist last an, eine bestimmte Datei anstelle von /var/log/wtmp zu verwenden. Die Option --file kann mehrfach angegeben werden, wodurch alle angegebenen Dateien verarbeitet werden.

-F, --fulltimes
    gibt die vollständigen Zeiten und Daten der An- und Abmeldungen aus.

-i, --ip
    wie --dns, zeigt aber die IP-Adresse des Rechners anstelle des Namens an.

-Zahl
-n, --limit Zahl
    weist last an, wie viele Zeilen es anzeigen soll.

-p, --present Zeit
    zeigt die Benutzer an, die zur angegebenen Zeit angemeldet waren. Dies entspricht der Verwendung der Optionen --since und --until zusammen mit der gleichen Zeit.

-R, --nohostname
    unterdrückt die Ausgabe des Rechnernamenfeldes.

-s, --since Zeit
    zeigt den Status der Anmeldungen seit der angegebenen Zeit an. Dies ist beispielsweise nützlich, um zu ermitteln, wer zu einem bestimmten Zeitpunkt angemeldet war. Diese Option wird oft mit --until kombiniert.

-t, --until Zeit
    zeigt den Status der Anmeldungen bis zu der angegebenen Zeit an.

--time-format Format
    definiert das Format des Ausgabe-Zeitstempels, entweder notime, short, full oder iso. Die Variante notime gibt keinerlei Zeitstempel aus, short ist die Vorgabe, und full ist gleichbedeutend mit der Option --fulltimes. Die Variante iso zeigt den Zeitstempel im ISO-8601-Format an. Das ISO-Format zeigt Informationen zur Zeitzone an, wodurch es bevorzugt zum Einsatz kommt, wenn Ausgaben außerhalb des Systems untersucht werden.

-w, --fullnames
    zeigt die vollständigen Benutzer- und Domainnamen in der Ausgabe an.

-x, --system
    zeigt die Einträge zum Herunterfahren und zu den Runlevel-Änderungen des Systems an.

ZEITFORMATE
Die Optionen, die das Zeit-Argument akzeptieren, verstehen folgende Formate:
JJJJMMTThhmmss
JJJJ-MM-TT hh:mm:ss
JJJJ-MM-TT hh:mm | (Sekunden werden auf 00 gesetzt)
JJJJ-MM-TT | (Zeit wird auf 00:00:00 gesetzt)
hh:mm:ss | (Datum wird auf heute gesetzt)
hh:mm | (Datum wird auf heute gesetzt, Sekunden auf 00)
now
yesterday | (Zeit wird auf 00:00:00 gesetzt)
today | (Zeit wird auf 00:00:00 gesetzt)
tomorrow | (Zeit wird auf 00:00:00 gesetzt)
+5min
-5days

ANMERKUNGEN
Die Dateien wtmp und btmp könnten nicht gefunden werden. Das System protokolliert nur Informationen in diesen Dateien, wenn diese vorhanden sind. Dies ist ein Problem der lokalen Konfiguration. Wenn Sie diese Dateien verwenden wollen, können sie mit dem einfachen Befehl touch(1) angelegt werden (zum Beispiel touch /var/log/wtmp).

DATEIEN
/var/log/wtmp
/var/log/btmp

AUTOR
Miquel van Smoorenburg (miquels@cistron.nl)

VERFÜGBARKEIT
Der Befehl last ist Teil des Pakets util-linux, welches aus dem Linux Kernel-Archiv (https://www.kernel.org/pub/linux/utils/util-linux/). heruntergeladen werden kann.

SIEHE AUCH
login(1), wtmp(5), init(8), shutdown(8)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.